import { MockAdapter } from '@/mock/mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'
const Random = Mock.Random;

// 获取应用数据
mock.onGet('v7/app-index-viewappmenu').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, {
        name: 'appmenu',
        items:  [
            {
	id: 'A20112C0-6FC7-48FC-B14C-24C66A924503',
	name: 'user_menus',
	text: '用户菜单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '用户菜单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
            {
	id: '70669C0B-37A4-4121-95D8-DCCB0827F20D',
	name: 'top_menus',
	text: '顶部菜单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '顶部菜单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
            {
	id: '7428CF1E-09D0-477F-838B-3CB98A776FBA',
	name: 'left_exp',
	text: '左侧菜单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '左侧菜单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '8739EFEE-ED1F-40E0-9BDB-438466E895D7',
	name: 'menuitem1',
	text: '功能位置',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '功能位置',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '83E50A95-6762-4A67-9052-69DE75A60E3B',
	name: 'menuitem6',
	text: '功能位置状态管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '功能位置状态管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '_3',
	resourcetag: '',
},
		{
	id: 'E3BFAB38-B5C1-487A-B68B-61F6EF513C58',
	name: 'menuitem7',
	text: '功能位置状态模型管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '功能位置状态模型管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '_2',
	resourcetag: '',
},
	],
},
		{
	id: '78652037-98D2-48D1-8600-4DBFCD9243F0',
	name: 'menuitem2',
	text: '资产管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '资产管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
		{
	id: '5FD0497E-7F0C-4AFA-931A-64FECFAD6B0D',
	name: 'menuitem3',
	text: '维护申请',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '维护申请',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
		{
	id: '4803F5BD-7CF9-4A67-BCA6-DCB022B56291',
	name: 'menuitem4',
	text: '工单管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '工单管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
		{
	id: '38802802-F256-487F-B526-7E2A58541A6C',
	name: 'menuitem5',
	text: '维护计划',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '维护计划',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
	],
},
        ],
    }];
});

